package cn.com.tenlion.systembase.pojo.vos.schoolkey;

import ink.wgink.annotation.CheckEmptyAnnotation;
import ink.wgink.annotation.CheckNumberAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SchoolKeyVO
 * @Description: 学校周边重点人员
 * @Author: CodeFactory
 * @Date: 2021-10-13 10:05:21
 * @Version: 3.0
 **/
@ApiModel
public class SchoolKeyVO {

    @ApiModelProperty(name = "schoolId", value = "学校ID")
    private String schoolId;
    @ApiModelProperty(name = "baseId", value = "基础人员信息表ID")
    private String baseId;
    @ApiModelProperty(name = "degreeOfHarm", value = "危害程度字典表ID")
    private String degreeOfHarm;
    @ApiModelProperty(name = "degreeOfHarmName", value = "危害程度名称")
    private String degreeOfHarmName;
    @ApiModelProperty(name = "degreeOfHarmCode", value = "危害程度编码")
    private String degreeOfHarmCode;
    @ApiModelProperty(name = "isFollow", value = "是否关注")
    @CheckNumberAnnotation(name = "是否关注")
    private Integer isFollow;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gender", value = "性别")
    private String gender;
    @ApiModelProperty(name = "longitude", value = "经度")
    private String longitude;
    @ApiModelProperty(name = "latitude", value = "纬度")
    private String latitude;
    @ApiModelProperty(name = "schoolName", value = "学校名称")
    private String schoolName;
    @ApiModelProperty(name = "fullName", value = "姓名")
    private String fullName;
    @ApiModelProperty(name = "nameUsedBefore", value = "曾用名")
    private String nameUsedBefore;
    @ApiModelProperty(name = "cardNum", value = "证件号码")
    private String cardNum;

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getBaseId() {
        return baseId == null ? "" : baseId.trim();
    }

    public void setBaseId(String baseId) {
        this.baseId = baseId;
    }

    public String getDegreeOfHarm() {
        return degreeOfHarm == null ? "" : degreeOfHarm.trim();
    }

    public void setDegreeOfHarm(String degreeOfHarm) {
        this.degreeOfHarm = degreeOfHarm;
    }

    public String getDegreeOfHarmName() {
        return degreeOfHarmName == null ? "" : degreeOfHarmName.trim();
    }

    public void setDegreeOfHarmName(String degreeOfHarmName) {
        this.degreeOfHarmName = degreeOfHarmName;
    }

    public String getDegreeOfHarmCode() {
        return degreeOfHarmCode == null ? "" : degreeOfHarmCode.trim();
    }

    public void setDegreeOfHarmCode(String degreeOfHarmCode) {
        this.degreeOfHarmCode = degreeOfHarmCode;
    }

    public Integer getIsFollow() {
        return isFollow == null ? 0 : isFollow;
    }

    public void setIsFollow(Integer isFollow) {
        this.isFollow = isFollow;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getNameUsedBefore() {
        return nameUsedBefore;
    }

    public void setNameUsedBefore(String nameUsedBefore) {
        this.nameUsedBefore = nameUsedBefore;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }
}
